data:extend(
{
  ---------------------------------------------------------
  -- define our own rail category and segment here
  ---------------------------------------------------------
  {
    type = "rail-category",
    name = "ldLC-temporary"
  },
  {
    type = "rail",
    name = "ldLC-temporary-rail",
    icon = "__base__/graphics/icons/straight-rail.png",
    flags = {"placeable-neutral", "player-creation", "placeable-off-grid"},
    minable = {mining_time = 1, result = "straight-rail"},
    max_health = 100,
    corpse = "straight-rail-remnants",
    collision_box = {{-0.7, -0.8}, {0.7, 0.8}},
    selection_box = {{-0.7, -0.8}, {0.7, 0.8}},
    bending_type = "straight",
    rail_category = "ldLC-temporary",
    pictures = railpictures()
  },
  ---------------------------------------------------------
  -- each chest is represented by two objects:
  --  - a cargo wagon, which is the actual product.
  --  - a chest (-obj suffix), which is a temporary object that is carried around.
  --  - when the temp object is placed, we will build a temp rail, place the wagon, and destroy the rail.
  --  - based on base.entities["cargo-wagon"], base.entities["steel-chest"]
  ---------------------------------------------------------
  {
    type = "cargo-wagon",
    name = "ldLC-chest-2x2",
    icon = "__LongLargeChests__/graphics/icons/ldLC-chest-2x2.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "ldLC-chest-2x2-obj"},
    max_health = 200,
    corpse = "small-remnants",
    energy_per_hit_point = 5,
    weight = 20,
    max_speed = 1.5,
    braking_force = 3,
    friction_force = 0.0015,
    air_resistance = 0.002,
    joint_distance = 0.1,
    connection_distance = 0.1,
    rail_category = "ldLC-temporary",
    pictures =
    {
      priority = "very-low",
      width = 285,
      height = 218,
      axially_symmetrical = true,
      back_equals_front = true,
      direction_count = 1,
      filenames =
      {
        "__LongLargeChests__/graphics/entities/ldLC-chest-2x2.png"
      },
      line_length = 1,
      lines_per_file = 1,
      shift = {0, 0}
    },
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
    selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
    inventory_size = 8
  },
  {
    type = "container",
    name = "ldLC-chest-2x2-obj",
    icon = "__LongLargeChests__/graphics/icons/ldLC-chest-2x2.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "ldLC-chest-2x2-obj"},
    max_health = 200,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
    selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
    fast_replaceable_group = "container",
    inventory_size = 8,
    picture =
    {
      filename = "__LongLargeChests__/graphics/entities/ldLC-chest-2x2.png",
      priority = "extra-high",
      width = 99,
      height = 102
    }
  },
  ---------------------------------------------------------
  -- each chest is represented by two objects:
  --  - a cargo wagon, which is the actual product.
  --  - a chest (-obj suffix), which is a temporary object that is carried around.
  --  - when the temp object is placed, we will build a temp rail, place the wagon, and destroy the rail.
  --  - based on base.entities["cargo-wagon"], base.entities["steel-chest"]
  ---------------------------------------------------------
  {
    type = "cargo-wagon",
    name = "ldLC-chest-3x3",
    icon = "__LongLargeChests__/graphics/icons/ldLC-chest-3x3.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "ldLC-chest-3x3-obj"},
    max_health = 200,
    corpse = "small-remnants",
    energy_per_hit_point = 5,
    weight = 20,
    max_speed = 1.5,
    braking_force = 3,
    friction_force = 0.0015,
    air_resistance = 0.002,
    joint_distance = 0.1,
    connection_distance = 0.1,
    rail_category = "ldLC-temporary",
    pictures =
    {
      priority = "very-low",
      width = 285,
      height = 218,
      axially_symmetrical = true,
      back_equals_front = true,
      direction_count = 1,
      filenames =
      {
        "__LongLargeChests__/graphics/entities/ldLC-chest-3x3.png"
      },
      line_length = 1,
      lines_per_file = 1,
      shift = {0, 0}
    },
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    inventory_size = 18
  },
  {
    type = "container",
    name = "ldLC-chest-3x3-obj",
    icon = "__LongLargeChests__/graphics/icons/ldLC-chest-3x3.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "ldLC-chest-3x3-obj"},
    max_health = 200,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    fast_replaceable_group = "container",
    inventory_size = 18,
    picture =
    {
      filename = "__LongLargeChests__/graphics/entities/ldLC-chest-3x3.png",
      priority = "extra-high",
      width = 99,
      height = 102
    }
  },
  ---------------------------------------------------------
  -- each chest is represented by two objects:
  --  - a cargo wagon, which is the actual product.
  --  - a chest (-obj suffix), which is a temporary object that is carried around.
  --  - when the temp object is placed, we will build a temp rail, place the wagon, and destroy the rail.
  ---------------------------------------------------------
  {
    type = "cargo-wagon",
    name = "ldLC-chest-5x5",
    icon = "__LongLargeChests__/graphics/icons/ldLC-chest-5x5.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "ldLC-chest-5x5-obj"},
    max_health = 200,
    corpse = "small-remnants",
    energy_per_hit_point = 5,
    weight = 20,
    max_speed = 1.5,
    braking_force = 3,
    friction_force = 0.0015,
    air_resistance = 0.002,
    joint_distance = 0.1,
    connection_distance = 0.1,
    rail_category = "ldLC-temporary",
    pictures =
    {
      priority = "very-low",
      width = 165,
      height = 170,
      axially_symmetrical = true,
      back_equals_front = true,
      direction_count = 1,
      filenames =
      {
        "__LongLargeChests__/graphics/entities/ldLC-chest-5x5.png"
      },
      line_length = 1,
      lines_per_file = 1,
      shift = {0, 0}
    },
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-2.4, -2.4}, {2.4, 2.4}},
    selection_box = {{-2.5, -2.5}, {2.5, 2.5}},
    inventory_size = 50
  },
  {
    type = "container",
    name = "ldLC-chest-5x5-obj",
    icon = "__LongLargeChests__/graphics/icons/ldLC-chest-5x5.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "ldLC-chest-5x5-obj"},
    max_health = 200,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-2.4, -2.4}, {2.4, 2.4}},
    selection_box = {{-2.5, -2.5}, {2.5, 2.5}},
    fast_replaceable_group = "container",
    inventory_size = 50,
    picture =
    {
      filename = "__LongLargeChests__/graphics/entities/ldLC-chest-5x5.png",
      priority = "extra-high",
      width = 165,
      height = 170
    }
  }
})
